-------------------------------------------------------------------------------
-- English localization (Default)
-------------------------------------------------------------------------------

-- Bindings
getfenv()["BINDING_NAME_CLICK XHealBarButtonToggle:LeftButton"] = "Show/hide XHealBar";

-- Most of these buffs affect a party.  Some buffs that only affect the caster are included
-- if the class only has a few of them.  Warlocks and Rogues have so many other abilities
-- they will be in a separate bar.

-- Buffs
XHealBarSpells = {
-- Death Knight
-- Druid Buffs
	"#DRUID",
	"^18562",--Swiftmend
	"^774",--Rejuvenation
	"^94447",--Lifebloom
	"^8936",--Regrowth
	"^50464",--Nourish
	"^5185",--Healing Touch
	XBAR_SNOWRAP,
	"^740",--Tranquility
	"^102792",--Wild Mushroom: Bloom
	XBAR_SNOWRAP,
	"^50769",--Revive
	"^20484",--Rebirth	
	XBAR_SNOWRAP,
	"^110309",--Symbiosis
	"^132158",--Nature's Swiftness
	"^108238",--Renewal
	"^108288",--Heart of the Wild
	"^124974",--Nature's Vigil
	"^106731",--Incarnation
	"^102352",--Cenarion Ward
-- Hunter Buffs
-- Mage Buffs
-- Pally buffs
	"^85673",--Word of Glory
	"^19750",--Flash of Light
	"^82326",--Divine Light
	"^635",--Holy Light
	"^82327",--Holy Radiance
	"^20473",--Holy Shock
	"^53563",--Beacon of Light
	"^2812",--Denounce
	"^85222",--Light of Dawn
	"^633",--Lay on Hands
	"^54428",--Divine Plea
-- Priest Buffs
	"^17",--Power Word: Shield
	XBAR_SNOWRAP,
	"^47540",--Penance
	"^139",--Renew
	"^2061",--Flash Heal
	"^32546",--Binding Heal	
	"^2050",--Heal
	"^2060",--Greater Heal	
	XBAR_SNOWRAP,
	"^47788",--Guardian Spirit
	XBAR_SNOWRAP,
	"^33076",--Prayer of Mending	
	"^596",--Prayer of Healing
	"^34861",--Circle of Healing
	"^724",--Lightwell
-- Rogue Buffs
-- Shaman buffs
	"#SHAMAN",
	"^61295",--Riptide
	"^8004",--Healing Surge
	"^1064",--Chain Heal
	"^331",--Healing Wave
	"^77472",--Greater Healing Wave
	XBAR_SNOWRAP,
	"^2008",--Ancestral Spirit
	XBAR_SNOWRAP,
	"^73920",--Healing Rain	
-- Warlock Buffs
-- Warrior Buffs
};

-- Maximum bar size will be auto-calculated in the main section

XBarCore.Localize(XHealBarSpells);

XBAR_HELP_CONTEXT_XHealBar = XBarHelpGUI.ContextHeader("XHealBar").."Spells are organized by class, check a spell to show or uncheck to hide it."

local i,v,p,s;

-- Auto-translate the class headers
for i,v in pairs(XHealBarSpells) do
	if strsub(XHealBarSpells[i],1,1)=="#" then
		s="";
		p=strfind(XHealBarSpells[i],"-",2,true);
		if (p==nil) then
			p=strlen(XHealBarSpells[i]);
		else
			s=strsub(XHealBarSpells[i],p);
			p=p-1;
		end
		XHealBarSpells[i]="#"..tostring(LOCALIZED_CLASS_NAMES_MALE[strsub(XHealBarSpells[i],2,p)])..s;
	end
end
